%global momorel 2
%global releasedate 26-01-2007

Summary: Polish man (manual) pages from the Linux Documentation Project
Name: man-pages-pl
Version: 0.26
Release: %{momorel}m%{?dist}
License: GPL
Group: Documentation
Source: http://dione.ids.pl/~pborys/PTM/man-PL%{releasedate}.tar.gz
Patch0: man-pages-pl-0.24-pidof.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch

%description
Manual pages from the Linux Documentation Project, translated into Polish.

%prep
%setup -q -n pl_PL
%patch0 -p1

%build

%install
rm -fr %{buildroot}
mkdir -p %{buildroot}/%{_mandir}/pl/man{1,2,3,4,5,6,7,8,9,n}
for i in FAQ man[1-8]/*.?; do
        iconv -f LATIN2 -t UTF-8 < $i > $i.new
        mv -f $i.new $i
done
for i in man[1-8] ; do 
    install -m 644 $i/*.? %{buildroot}%{_mandir}/pl/$i; 
done

rm -f %{buildroot}%{_mandir}/pl/man8/rpm*

# too buggy to ship... not only errors, but also things which
# obviously don't work as the author intended
rm -f %{buildroot}%{_mandir}/pl/man5/lisp-tut*

rm -f %{buildroot}%{_mandir}/pl/man1/newgrp.1*
rm -f %{buildroot}%{_mandir}/pl/man1/{apropos.1,chage.1,gendiff.1,gpasswd.1,man.1,mplayer.1,sg.1,whatis.1}*
rm -f %{buildroot}%{_mandir}/pl/man1/{evim,ex,rview,rvim,view,vim,vimdiff,vimtutor}.1*
rm -f %{buildroot}%{_mandir}/pl/man5/{faillog.5,shadow.5,man.config.5,qmail-*.5,dot-qmail.5}*
rm -f %{buildroot}%{_mandir}/pl/man7/qmail.7*
rm -f %{buildroot}%{_mandir}/pl/man8/{grpunconv.8,faillog.8,newusers.8,rpmcache.8,rpm2cpio.8,rpmdeps.8,rpm.8,rpmbuild.8,rpmgraph.8,pwconv.8,lastlog.8,stunnel.8,pwck.8,grpck.8,chpasswd.8,grpconv.8,adduser.8,pwunconv.8,groupadd.8,groupdel.8,groupmod.8,useradd.8,userdel.8,usermod.8,qmail}*

rm -f %{buildroot}%{_mandir}/pl/man1/mc.1*

# Part of shadow-utils
rm -f %{buildroot}%{_mandir}/pl/man5/login.defs.5*


%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root,-)
%doc FAQ
%{_mandir}/pl/*/*

%changelog
* Fri Jun 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.26-2m)
- remove %%{_mandir}/pl from %%files, it's already provided by man

* Fri Jun 15 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.26-1m)
- update to 0.26

* Fri Jun 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22-11m)
- modify %%install to avoid conflicting with man

* Tue Nov 11 2003 zunda <zunda at freeshell.org>
- (0.22-10m)
- Seems to be under GPL (debian/packages)
- chmod og+r FAQ
- translators (originally robotnicy) added to %%doc

* Tue Jun 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.22-9m)
- remove conflicts

* Wed Sep 20 2000 Toru Hoshina <t@kondara.org>
- merge from pinstripe.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 20 2000 Jeff Johnson <jbj@redhat.com>
- rebuild to compress man pages.

* Mon Jun 19 2000 Trond Eivind Glomsr <teg@redhat.com>
- don't include rpm manpage, it's included with rpm

* Sun Jun 11 2000 Trond Eivind Glomsr <teg@redhat.com>
- fixed typo in description
* Sun Jun 11 2000 Trond Eivind Glomsr <teg@redhat.com>
- first build
